=== debian/changelog ===
ros-kinetic-nonpersistent-voxel-layer (1.1.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven Macenski <stevenmacenski@gmail.com>  Thu, 03 Jan 2019 19:40:21 -0000
